Fix GHNS bug when we add a cursor theme you can't delete it or choose cursor size
ClosedPublic

Authored by bport on Dec 16 2019, 4:25 PM.

Details

Test Plan

Install a theme through GHNS, and check if you can delete it / change cursor size (if available for this theme)

Diff Detail

Repository
R119 Plasma Desktop
Lint
Lint Skipped
Unit
Unit Tests Skipped
Build Status
Buildable 19947
Build 19965: arc lint + arc unit
bport created this revision.Dec 16 2019, 4:25 PM
Restricted Application added a project: Plasma. · View Herald TranscriptDec 16 2019, 4:25 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
bport requested review of this revision.Dec 16 2019, 4:25 PM
apol added a subscriber: apol.Dec 16 2019, 4:39 PM
apol added inline comments.
kcms/cursortheme/kcmcursortheme.cpp
458

How about
m_themeModel->addTheme(QLatin1Char('/') + list.join(QLatin1Char('/')));

Or otherwise, QStringLiteral

bport updated this revision to Diff 71687.Dec 16 2019, 4:58 PM

Take in consideration apol feedback

bport updated this revision to Diff 71688.Dec 16 2019, 5:01 PM

Post diff

bport marked an inline comment as done.Dec 16 2019, 5:02 PM
meven added a comment.Dec 20 2019, 4:31 PM

Seems good to me

ervin accepted this revision.Dec 23 2019, 12:29 PM
This revision is now accepted and ready to land.Dec 23 2019, 12:29 PM
This revision was automatically updated to reflect the committed changes.